package cn.iocoder.yudao.framework.common.template.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class PerformanceResultConfirmationReminderDTO {
    @Schema(description = "接收者（用户）的 openid")
    private String openId;
    @Schema(description = "被考核人")
    private String userName;
    @Schema(description = "考核时间")
    private String time;
    @Schema(description = "跳转小程序类型")
    private String miniProgramState = "formal";
    @Schema(description = "小程序页面地址", requiredMode = Schema.RequiredMode.REQUIRED, example = "pages/home/index")
    private String page;
}
