package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.loan;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 借支申请还款 Response VO")
@Data
public class BpmOAReturnVO {

    @Schema(description = "员工ID")
    private Long staffId;

    @Schema(description = "员工名称")
    private String staffName;

    @Schema(description = "工厂ID")
    private Long factoryId;

    @Schema(description = "工厂名称")
    private String factoryName;

    @Schema(description = "还款月份")
    private String month;

    @Schema(description = "还款金额")
    private BigDecimal repaymentAmount;

    @Schema(description = "还款类型 | 1开支抵扣 2工资还款")
    private Integer type;
}
