package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.replacementCard;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 薪资付款申请  请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAReplacementCardRespVO extends BpmOABaseRespVO {

    @Schema(description = "补卡明细")
    private List<ReplacementCardItemVO> applicationItem;

    @Schema(description = "上传文件")
    private List<UploadUserFile> fileItems;
}
