package cn.iocoder.yudao.module.crm.controller.admin.salesperformanceassessment.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 绩效考核设置新增/修改 Request VO")
@Data
public class SalesPerformanceAssessmentSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3321")
    private Long id;

    @Schema(description = "计算表达式 例如 10<=n&&n<=20")
    private String calculationExpression;

    @Schema(description = "核发比例%")
    private BigDecimal proportion;

}