package cn.iocoder.yudao.module.product.api.storeproductattrvalue.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class UserProductCountVO {
    @Schema(description = "用户编号")
    private Long userId;
    @Schema(description = "产品数量")
    private Integer nums;
    @Schema(description = "产品id")
    private Long productId;
    @Schema(description = "产品名称")
    private String name;
    @Schema(description = "商品属性")
    private String productAttrUnique;
    @Schema(description = "产品单价")
    private BigDecimal price;
    @Schema(description = "折扣")
    private BigDecimal discount;
    @Schema(description = "小计（折扣后价格）")
    private BigDecimal subtotal;
    @Schema(description = "备注")
    private String remarks;
}
