package cn.iocoder.yudao.module.system.api.auth.vo;

import cn.iocoder.yudao.framework.common.enums.SocialTypeEnum;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AdminOauthUserOtherInfoApiVO {
    /**
     * 编号
     */
    private Long id;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 应用appId
     */
    private String appId;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 社交平台的类型 (参见 {@link SocialTypeEnum} 枚举)
     */
    private Integer socialType;
}
