package cn.iocoder.yudao.module.system.api.customersettlement.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Schema(description =  "管理后台 - 工厂结算项VO")
@Data
public class SettlementItemDTO {

    @Schema(description = "工厂编号")
    private Long factoryId;

    @Schema(description = "结算月份")
    private String month;

    @Schema(description = "业务类型")
    private Integer businessType;

    @Schema(description =  "扣款明细")
    private List<Deduction> deductionItems;

    /**
     *  扣款明细
     */
    @Data
    public static class Deduction {

        private String key;

        private BigDecimal value;
    }
}
