package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 *  日志Excel 导出 VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class LogExportExcelVO {

    @ExcelProperty("用户名称")
    private String nickname;

    @ExcelProperty("日期")
    private String time;

    @ExcelProperty("标题")
    private String title;

    @ExcelProperty("内容")
    private String content;
}
