package cn.iocoder.yudao.module.system.dal.dataobject.workovertime;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 加班规则考勤组关联 DO
 *
 * @author 艾楷
 */
@TableName("kq_work_overtime_rule_attendance_group")
@KeySequence("kq_work_overtime_rule_attendance_group_seq")
// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkOvertimeRuleAttendanceGroupDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 加班规则id
     */
    private Long ruleId;
    /**
     * 考勤组id
     */
    private Long attendanceGroupId;

}
