package cn.iocoder.yudao.module.system.dal.mysql.auth;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.dal.dataobject.auth.AdminOauthUserOtherInfoDO;
import cn.iocoder.yudao.module.system.service.auth.dto.AdminOauthUserOtherInfoDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户三方登录信息 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface AdminOauthUserOtherInfoMapper extends BaseMapperX<AdminOauthUserOtherInfoDO> {

    /**
     * 通过条件获取用户openId
     *
     * @param dto
     * @return
     */
    List<AdminOauthUserOtherInfoDO> getOpenIdByCondition(@Param("dto") AdminOauthUserOtherInfoDTO dto);
}
