package cn.iocoder.yudao.module.system.service.file;

import cn.iocoder.yudao.module.system.controller.admin.file.vo.FileRespVO;
import cn.iocoder.yudao.module.system.dal.mysql.laborcontract.LaborContractMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;
import java.util.List;

/**
 * 文件管理 Service 实现类
 *
 * @author 符溶馨
 */
@Service
@Validated
public class FileServiceImpl implements FileService {

    @Resource
    private LaborContractMapper laborContractMapper;

    @Override
    public List<FileRespVO> getFileList(String mobile) {

        return laborContractMapper.selectFileByUserId(mobile);
    }
}
