package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 搬运组新增/修改 Request VO")
@Data
public class HandlingGroupSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9657")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5268")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "搬运组名称", example = "芋艿")
    private String handlingGroupName;

}
