package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.contract;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 合同审批 请求Request VO")
@Data
public class ContractStatisticsRespVO {

    @Schema(description = "用户编号")
    private Long userId;

    @Schema(description = "今日新增合同数")
    private Integer todayAdditions;

    @Schema(description = "昨日新增合同数")
    private Integer yesterdayAdditions;

    @Schema(description = "较昨日百分比 | 数量")
    private BigDecimal countPercentage;

    @Schema(description = "今日新增合同金额")
    private BigDecimal todayAddMoney;

    @Schema(description = "昨日新增合同金额")
    private BigDecimal yesterdayAddMoney;

    @Schema(description = "较昨日百分比 | 金额")
    private BigDecimal moneyPercentage;

    @Schema(description = "合同总数")
    private Integer count;

    @Schema(description = "合同总金额")
    private BigDecimal money;
}
