package cn.iocoder.yudao.module.system.api.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 艾楷
 */
@Data
public class AttendanceGroupShiftItemVO {
    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "957")
    private Long id;

    @Schema(description = "班次id", example = "22909")
    private Long kqAttendanceGroupShiftId;

    @Schema(description = "级别 从1到～ 排序用")
    private Integer level;

    @Schema(description = "开始打卡时间")
    private String beginTime;

    @Schema(description = "结束打卡时间")
    private String endTime;

    @Schema(description = "是否次日(开始时间 大于 结束时间)跨天 0否 1跨天 2结束时间跨天")
    private Integer nextDayFlag;

    @Schema(description = "是否开启中间时间段休息 0否 1是")
    private Integer restFlag;

    @Schema(description = "休息开始时间 HH:mm")
    private String restBeginTime;

    @Schema(description = "休息结束时间 HH:mm")
    private String restEndTime;
}
