package cn.iocoder.yudao.module.system.api.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 用户打卡记录 DO
 *
 * @author 艾楷
 */
@Data
public class AttendanceVO {
    @Schema(description = "是否需要考勤组id")
    private Long groupId;

    @Schema(description = "是否需要考勤 0否 1是")
    private Integer needAttendance = 0;


    @Schema(description = "考勤时间范围信息")
    private AttendanceTimeRangeInfoVO attendanceTimeRangeInfoVO;
}

