package cn.iocoder.yudao.module.system.api.holiday.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CreateUserHolidayDTO {

    @Schema(description = "用户id", example = "18256")
    private Long userId;

    @Schema(description = "假期设置id", example = "25199")
    private Long holidaySettingId;

    @Schema(description = "操作方向 0新增 1减去")
    private Integer direction;

    @Schema(description = "假期余额(这里的单位根据假期设置的来 没有固定单位)")
    private BigDecimal holidayBalance;

    @Schema(description = "原由")
    private String reason;
}
