package cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysetting.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class DetermineHolidayBalanceSettingSwitchVO {

    @Schema(description = "开关是否变动 true 是 false 否")
    private boolean changeFlag;

    @Schema(description = "开关是否开启 true 是 false 否")
    private boolean switchFlag;

    @Schema(description = "发放方式调整 true 是 false 否")
    private boolean adjustTypeFlag;

    @Schema(description = "发放日期调整 true 是 false 否")
    private boolean dateAdjustFlag;

    @Schema(description = "额度规则调整 true 是 false 否")
    private boolean quotaRuleFlag;

    @Schema(description = "额度调整 true 是 false 否")
    private boolean quotaFlag;

}
