package cn.iocoder.yudao.module.system.controller.admin.hr.vo.type;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 工资类型 Request VO")
@Data
public class SalaryTypeCreateReqVO {

    @Schema(description = "编号", example = "1")
    private Long id;

    @Schema(description = "类型名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "类型名称不能为空")
    private String name;

    @Schema(description = "类型 | 0应发工资项 1代扣代缴项", example = "1")
    private Integer type;
}
