package cn.iocoder.yudao.module.system.controller.admin.linefixedassetstemporarytable;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.service.linefixedassetstemporarytable.LineFixedAssetsTemporaryTableService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - 打包线固定资产（excel 临时表）")
@RestController
@RequestMapping("/system/line-fixed-assets-temporary-table")
@Validated
public class LineFixedAssetsTemporaryTableController {

    @Resource
    private LineFixedAssetsTemporaryTableService lineFixedAssetsTemporaryTableService;

    @GetMapping("/test")
    @Operation(summary = "打包线固定资产（excel 临时表） 导入")
    @PermitAll
    public CommonResult<Boolean> test() {
        lineFixedAssetsTemporaryTableService.test();
        return success(true);
    }
}
