package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 加班更多规则拓展新增/修改 Request VO")
@Data
public class WorkOvertimeMoreRuleExtSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9017")
    private Long id;

    @Schema(description = "加班更多规则id", example = "8676")
    private Long moreRuleId;

    @Schema(description = "类型 1风险预警 2最大加班时间", example = "2")
    private Integer type;

    @Schema(description = "日期类型 1每天 2每周 3每月", example = "1")
    private Integer dayType;

    @Schema(description = "小时阀值累计超过n小时")
    private Integer threshold;

}