package cn.iocoder.yudao.module.system.dal.dataobject.hr;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@TableName(value = "hr_salary_type_item", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SalaryTypeItemDO extends BaseDO {

    /**
     * 主键ID，自增
     */
    @TableId
    private Long id;

    /**
     * 工资类型编号
     */
    private Long typeId;

    /**
     * 属性code
     */
    private String code;

    /**
     * 属性名称
     */
    private String name;

    /**
     * 描述
     */
    private String itemDescribe;

    /**
     * 加减属性 | 1加 2减
     */
    private Integer attributes;

    /**
     * 状态 | 0开启 1关闭
     */
    private Integer status;
}
