package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo.sizeData;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 工厂出库入库数据 总览 Request VO")
@Data
public class FactoryDataSizeTotalVO {

    @Schema(description = "工厂id")
    private Long factoryId;

    @Schema(description = "规格名称")
    private String sizeName;

    @Schema(description = "入库总数")
    private Integer inTotal;

    @Schema(description = "出库总数")
    private Integer outTotal;

    @Schema(description = "破损总数")
    private Integer damageNum;
}
