package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo;

import cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroup.vo.HandlingGroupListVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class HandlingGroupAmountSpecificationsBatchCreateVO {
    @Schema(description = "工厂id", example = "23178")
    private Long factoryId;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    @NotNull(message = "日期不能为空")
    private String dateStr;

    @Schema(description = "搬运组列表")
    private List<HandlingGroupListVO> handlingGroupList;
}
