package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupuseramount.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class StaffWagesPageVO {
    @Schema(description = "用户id", example = "12639")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "用户名称", example = "12639")
    @ExcelProperty("用户名称")
    private String userName;

    @Schema(description = "总工资")
    @ExcelProperty("总工资")
    private BigDecimal totalAmount;
}
