package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 员工更新 Request VO")
@Data
public class StaffSalaryUpdateVO {

    @Schema(description = "主键id")
    private Long id;

    @Schema(description = "薪资")
    private BigDecimal salary;

    @Schema(description = "薪资主体 | 字典值 sf_staff_salary_subject")
    private Integer salarySubject;
}
